Bug 674394 - [5.6] Problem using very large disks with iscsi but works with 5.5 scsi-target-utils
Summary: [5.6] Problem using very large disks with iscsi but works with 5.5 scsi-targe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: scsi-target-utils
Version: 5.6
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks: 707606
TreeView+ depends on / blocked
 
Reported: 2011-02-01 17:55 UTC by Debbie Johnson
Modified: 2018-11-14 14:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-21 11:36:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1049 normal SHIPPED_LIVE scsi-target-utils bug fix and enhancement update 2011-07-20 15:43:35 UTC

Description Debbie Johnson 2011-02-01 17:55:26 UTC
Description of problem:
5.6] Problem using very large disks with iscsi but works with 5.5 scsi-target-utils

On initiator get following:

kernel: sda : very big device. try to use READ CAPACITY(16). 
kernel: sda : unsupported sector size 1097097584.  

Version-Release number of selected component (if applicable):
V5.6

How reproducible:
Very often

Workround:

The behavior went away when we downgraded scsi-target-utils.

Removed:
  scsi-target-utils.x86_64 0:1.0.8-0.el5
Installed:
  scsi-target-utils.x86_64 0:0.0-6.20091205snap.el5_5.3

On the initiator, we're running iscsi-initiator-utils-6.2.0.872-6.el5.  The machines are up to date otherwise.


Further Data:

Troubleshooting we have done:

* create a new target name using the same backing-store /dev/sdb -- same failed result
* create a new LUN with a new file based backing-store in the same target  -- this worked
* tried to login into the sdb backed store using a different initiator -- same failed result
* tried to change direct-store to backing-store in targets.conf -- same failed result
* tried to roll back the network routing changes -- same failed result
* tried creating new targets with the same backing store using tgtadm directly -- same failed result
* tried to mount the backing store /dev/sdb1 on the target locally -- worked just fine

This is the output from the initiator:

# lsscsi -vv
 sysfsroot: /sys
[82:0:0:0]   storage IET      Controller       0001  -      
  dir: /sys/bus/scsi/devices/82:0:0:0  [/sys/devices/platform/host82/session1/target82:0:0/82:0:0:0]
[82:0:0:1]   disk    IET      VIRTUAL-DISK     0001  /dev/sda
  dir: /sys/bus/scsi/devices/82:0:0:1  [/sys/devices/platform/host82/session1/target82:0:0/82:0:0:1]
[82:0:0:2]   disk    IET      VIRTUAL-DISK     0001  /dev/sdb
  dir: /sys/bus/scsi/devices/82:0:0:2  [/sys/devices/platform/host82/session1/target82:0:0/82:0:0:2]
[82:0:0:3]   disk    IET      VIRTUAL-DISK     0001  /dev/sdc
  dir: /sys/bus/scsi/devices/82:0:0:3  [/sys/devices/platform/host82/session1/target82:0:0/82:0:0:3]
[82:0:0:4]   disk    IET      VIRTUAL-DISK     0001  /dev/sdd
  dir: /sys/bus/scsi/devices/82:0:0:4  [/sys/devices/platform/host82/session1/target82:0:0/82:0:0:4]
[82:0:0:5]   disk    IET      VIRTUAL-DISK     0001  /dev/sde
  dir: /sys/bus/scsi/devices/82:0:0:5  [/sys/devices/platform/host82/session1/target82:0:0/82:0:0:5]


This is the output from the target:

# lsscsi -v
[0:0:0:0]    disk    SEAGATE  ST3600057SS      0008  -
  dir: /sys/bus/scsi/devices/0:0:0:0  [/sys/devices/pci0000:00/0000:00:09.0/0000:05:00.0/host0/port-0:0/end_device-0:0/target0:0:0/0:0:0:0]
[0:0:1:0]    disk    SEAGATE  ST3600057SS      0008  -
  dir: /sys/bus/scsi/devices/0:0:1:0  [/sys/devices/pci0000:00/0000:00:09.0/0000:05:00.0/host0/port-0:1/end_device-0:1/target0:0:1/0:0:1:0]
[0:1:0:0]    disk    LSI      Logical Volume   3000  /dev/sda
  dir: /sys/bus/scsi/devices/0:1:0:0  [/sys/devices/pci0000:00/0000:00:09.0/0000:05:00.0/host0/target0:1:0/0:1:0:0]
[1:3:0:0]    enclosu ADAPTEC  Virtual SGPIO  0 0001  -
  dir: /sys/bus/scsi/devices/1:3:0:0  [/sys/devices/pci0000:00/0000:00:03.0/0000:02:00.0/host1/target1:3:0/1:3:0:0]
[1:3:1:0]    enclosu ADAPTEC  Virtual SGPIO  1 0001  -      
  dir: /sys/bus/scsi/devices/1:3:1:0  [/sys/devices/pci0000:00/0000:00:03.0/0000:02:00.0/host1/target1:3:1/1:3:1:0]
[2:3:0:0]    enclosu ADAPTEC  Virtual SGPIO  0 0001  -      
  dir: /sys/bus/scsi/devices/2:3:0:0  [/sys/devices/pci0000:00/0000:00:05.0/0000:03:00.0/host2/target2:3:0/2:3:0:0]
[2:3:1:0]    enclosu ADAPTEC  Virtual SGPIO  1 0001  -      
  dir: /sys/bus/scsi/devices/2:3:1:0  [/sys/devices/pci0000:00/0000:00:05.0/0000:03:00.0/host2/target2:3:1/2:3:1:0]
[3:0:0:0]    disk    Adaptec  card2            V1.0  /dev/sdb
  dir: /sys/bus/scsi/devices/3:0:0:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:0:0/3:0:0:0]
[3:1:0:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:0:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:0/3:1:0:0]
[3:1:1:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:1:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:1/3:1:1:0]
[3:1:2:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:2:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:2/3:1:2:0]
[3:1:3:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:3:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:3/3:1:3:0]
[3:1:4:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:4:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:4/3:1:4:0]
[3:1:5:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:5:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:5/3:1:5:0]
[3:1:6:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:6:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:6/3:1:6:0]
[3:1:7:0]    disk    OCZ      COLOSSUS-LT        1.  -      
  dir: /sys/bus/scsi/devices/3:1:7:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:1:7/3:1:7:0]
[3:3:0:0]    enclosu ADAPTEC  Virtual SGPIO  0 0001  -      
  dir: /sys/bus/scsi/devices/3:3:0:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:3:0/3:3:0:0]
[3:3:1:0]    enclosu ADAPTEC  Virtual SGPIO  1 0001  -      
  dir: /sys/bus/scsi/devices/3:3:1:0  [/sys/devices/pci0000:00/0000:00:07.0/0000:04:00.0/host3/target3:3:1/3:3:1:0]
[4:0:0:0]    disk    Adaptec  archive          V1.0  /dev/sdc
  dir: /sys/bus/scsi/devices/4:0:0:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:0:0/4:0:0:0]
[4:1:0:0]    disk    SEAGATE  ST31000640SS     0001  -      
  dir: /sys/bus/scsi/devices/4:1:0:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:0/4:1:0:0]
[4:1:1:0]    disk    SEAGATE  ST31000640SS     0001  -      
  dir: /sys/bus/scsi/devices/4:1:1:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:1/4:1:1:0]
[4:1:2:0]    disk    SEAGATE  ST31000640SS     0001  -      
  dir: /sys/bus/scsi/devices/4:1:2:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:2/4:1:2:0]
[4:1:3:0]    disk    SEAGATE  ST31000640SS     0001  -      
  dir: /sys/bus/scsi/devices/4:1:3:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:3/4:1:3:0]
[4:1:4:0]    disk    SEAGATE  ST31000640SS     0001  -
  dir: /sys/bus/scsi/devices/4:1:4:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:4/4:1:4:0]
[4:1:5:0]    disk    SEAGATE  ST31000640SS     0001  -
  dir: /sys/bus/scsi/devices/4:1:5:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:5/4:1:5:0]
[4:1:6:0]    disk    SEAGATE  ST31000640SS     0001  -
  dir: /sys/bus/scsi/devices/4:1:6:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:6/4:1:6:0]
[4:1:7:0]    disk    SEAGATE  ST31000640SS     0001  -
  dir: /sys/bus/scsi/devices/4:1:7:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:1:7/4:1:7:0]
[4:3:0:0]    enclosu ADAPTEC  Virtual SGPIO  0 0001  -
  dir: /sys/bus/scsi/devices/4:3:0:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:3:0/4:3:0:0]
[4:3:1:0]    enclosu ADAPTEC  Virtual SGPIO  1 0001  -
  dir: /sys/bus/scsi/devices/4:3:1:0  [/sys/devices/pci0000:80/0000:80:09.0/0000:86:00.0/host4/target4:3:1/4:3:1:0]


started over with an empty /etc/tgtd/targets.conf.  This is how I've configured the target:

tgtadm --lld iscsi --op new --mode target --tid=1 --targetname iqn.2001-04.com.example:storage.disk1.amiens.sys1.xyz

tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -b /root/disk1test

tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 2 -b /dev/sdb

tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 3 -b /dev/sdb1

tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 4 -b /dev/sdc

tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 5 -b /dev/sdc1


/root/disk1test is a 512M file I created according to the guide in DOC-15154.  /dev/sdb and /dev/sdc are both 6.5T RAID 5 arrays from our Adaptec RAID controller.  /dev/sdb1 and /dev/sdc1 are the partitions with an ext3 filesystem.  I can mount both of these partitions locally.  When I do all this, I can see the 5 luns on the initiator:



# /etc/init.d/iscsi start
iscsid is stopped
Starting iSCSI daemon:                                     [  OK  ]
                                                           [  OK  ]
Setting up iSCSI targets: Logging in to [iface: default, target: iqn.2001-04.com.example:storage.disk1.amiens.sys1.xyz, portal: 10.213.3.31,3260]
Login to [iface: default, target: iqn.2001-04.com.example:storage.disk1.amiens.sys1.xyz, portal: 10.213.3.31,3260] successful.
                                                           [  OK  ]
# ll /dev/sd*
brw-r----- 1 root disk 8,  0 2011-01-28 12:48 /dev/sda
brw-r----- 1 root disk 8, 16 2011-01-28 12:48 /dev/sdb
brw-r----- 1 root disk 8, 32 2011-01-28 12:48 /dev/sdc
brw-r----- 1 root disk 8, 48 2011-01-28 12:48 /dev/sdd
brw-r----- 1 root disk 8, 64 2011-01-28 12:48 /dev/sde


On the initiator, I can mount /dev/sda, but none of the other iscsi devices.  I always have the same error in /var/log/messages


# cat /var/log/messages | grep "unsupported sector size"
Jan 28 12:48:27 mh01-dbx01 kernel: sdb : unsupported sector size 1229280288.
Jan 28 12:48:27 mh01-dbx01 kernel: sdc : unsupported sector size 1229280288.
Jan 28 12:48:27 mh01-dbx01 kernel: sdd : unsupported sector size 1229280288.
Jan 28 12:48:27 mh01-dbx01 kernel: sde : unsupported sector size 1229280288.

I still get the same error when I try to mount any of the iscsi devices, except the 512M flat file:

Comment 1 Mike Christie 2011-02-02 10:22:35 UTC
This is fixed with this upstream commit. Adding devel ack to bring this in.

commit edb4658fdeb28e0088eaad4ae610956684013af8
Author: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
Date:   Tue Nov 2 02:33:28 2010 +0900

    fix READ_CAPACITY_16
    
    This fixes the 551b64ed34dbb43d6d6530a91d122c0b4d0131bd commit
    regression.
    
    Old kernels request 12 bytes for READ_CAPACITY_16. So we return
    invalid data.

Comment 6 Gris Ge 2011-05-31 05:36:22 UTC
reproduced this problem on scsi-target-utils-1.0.8-2.el5 with 12TB disk.

Problem fixed on scsi-target-utils-1.0.14-1.el5.

Comment 7 errata-xmlrpc 2011-07-21 11:36:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1049.html


Note You need to log in before you can comment on or make changes to this bug.